Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 23-12-2018 18:14:43

cemoi
Adhérent(e)
Distrib. : Debian 9 stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : XFCE
Inscription : 21-10-2008

[ok} upgrade nextcloud: passage de php 5.6 à php7.0

Hello,
j'ai besoin d'upgrader mon nextcloud que j'héberge sur un serveur dédiè.
Ca tourne sur une debian stretch, apache 2.4.x, mariadb, php 5.6

Il faut du php7 minimum pour la dernière version stable de nextcloud.

Je pense installer les composants necessaire concernant php7 avec un:

apt install php7.0 libapache2-mod-php7.0 php7.0-common php7.0-gd php7.0-json php7.0-mysql php7.0-curl php7.0-mbstring php7.0-intl php7.0-mcrypt php7.0-imagick php7.0-xml php7.0-zip



Sans avoir désinstaller php 5.6 avant.

Je précise qu'il y a peu de choses qui tourne sur le serveur car ce n'est pas un monstre ...: j'ai un dokuwiki une instance SACoche un nextcloud bloqué en version 12... et j'ai installé une seconde instance de nextcloud en version 13.0.6 que je voudrai upgrader en 15.0 qui est la version stable du moment...

Comme je n'ai jamais fait ce genre d'opération et que le serveur tourne en production je voudrai m'éviter de tout mettre par terre... surtout en periode de fête ou le temps dispo reste ...rare.

J'ai bloqué les acces au serveur le temps de réaliser mon bricolage.

Je cherche une doc pour pouvoir passer de php 5.6 à 7.0... j'imagine que coté apache il y a peut etre des ajustages à faire.

Merci pour vos lumières

Edit: je viens de me rendre compte que la version courante de php sur stretch est la 7.0 o_O
dans le panel d'administrtaion nextcloud me chante qu'il utilise php 5.6
En console sur le serveur j'ai pourtant bien la version 7 d'installé:

apt-cache show php


Package: php
Source: php-defaults (49)
Version: 1:7.0+49
Installed-Size: 12




php -v


PHP 7.0.33-0+deb9u1 (cli) (built: Dec  7 2018 11:36:49) ( NTS )



J'ai pas du configurer coté apache à priori...?

>>>>>>> il faut:
installer les modules de php 7.0
désactiver php5
activer php7.0

have fun!

Dernière modification par cemoi (23-12-2018 21:42:31)


Linux debDesk Linux 4.9.0-3-amd64
Linux debServHome Linux 4.9.0-3-amd64
Linux lotus Linux 4.9.0-3-amd64

Hors ligne

Pied de page des forums